İçeriğe atla

The product message template object

Attributes

iduuid

Unique identifier

message_template_iduuid
message_templates.id

Identifier of the related message template

product_iduuid
products.id

Identifier of the related unit

created_atread-onlytimestamp with time zone

Creation timestamp

orderinteger

Order of the message template as displayed in the admin

Related resources

Embed related resources in the response with the select parameter, for example select=*,message_templates(*). Resources related through more than one column need the column as a hint, like table!column(*).

message_templates(*)object | null
message_templates

The message template referenced by message_template_id.

products(*)object | null
products

The product referenced by product_id.

The product message template object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "message_template_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.301Z",
  "order": 0
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/product_message_templates?limit=10&select=*,message_templates(*),products(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List product message templates

Filters

idFilter<uuid>

Unique identifier

message_template_idFilter<uuid>
message_templates.id

Identifier of the related message template

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

orderFilter<integer>

Order of the message template as displayed in the admin

Responses

200

A list of product message templates with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /product_message_templates
curl -X GET "https://api.bookingmood.com/v1/product_message_templates?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "message_template_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "order": 0
  }
]

Create product message templates

Body

Partial<ProductMessageTemplate> | Array<Partial<ProductMessageTemplate>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created product message templates with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /product_message_templates
curl -X POST "https://api.bookingmood.com/v1/product_message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "message_template_id": "00000000-0000-0000-0000-000000000000",
    "order": 0,
    "product_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "message_template_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "order": 0
  }
]

Delete product message templates

Filters

Without filters, this request deletes all product message templates you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

message_template_idFilter<uuid>
message_templates.id

Identifier of the related message template

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

orderFilter<integer>

Order of the message template as displayed in the admin

Responses

200

The deleted product message templates with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /product_message_templates
curl -X DELETE "https://api.bookingmood.com/v1/product_message_templates?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "message_template_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "order": 0
  }
]

Update product message templates

Filters

Without filters, this request updates all product message templates you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

message_template_idFilter<uuid>
message_templates.id

Identifier of the related message template

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

orderFilter<integer>

Order of the message template as displayed in the admin

Body

Partial<ProductMessageTemplate>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated product message templates with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /product_message_templates
curl -X PATCH "https://api.bookingmood.com/v1/product_message_templates?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "order": 0
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "message_template_id": "00000000-0000-0000-0000-000000000000",
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.301Z",
    "order": 0
  }
]

Rezervasyonlarınızın kontrolünü elinize alın. Kendi işinizi kurun.

Bookingmood’u kullanarak doğrudan rezervasyonlarını artırmak ve misafirleriyle daha sağlam ilişkiler kurmak isteyen 1200’dan fazla bağımsız tatil kiralama işletmesine katılın.

Ücretsiz 14 günlük deneme başlatın